# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "secure-exec-vfs-core"
version = "0.3.1-rc.2"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Generic async virtual filesystem primitives"
readme = false
license = "Apache-2.0"
repository = "https://github.com/rivet-dev/secure-exec"

[lib]
name = "vfs"
path = "src/lib.rs"

[[test]]
name = "conformance"
path = "tests/conformance.rs"

[[test]]
name = "posix_mount_plugin"
path = "tests/posix_mount_plugin.rs"

[[test]]
name = "posix_mount_table"
path = "tests/posix_mount_table.rs"

[[test]]
name = "posix_root_fs"
path = "tests/posix_root_fs.rs"

[[test]]
name = "posix_vfs"
path = "tests/posix_vfs.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.base64]
version = "0.22"

[dependencies.blake3]
version = "1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tokio]
version = "1"
features = [
    "rt",
    "rt-multi-thread",
]

[dev-dependencies.tokio]
version = "1"
features = [
    "macros",
    "rt",
    "rt-multi-thread",
]
